de.esprit.netsuite.client.admin.action

## Class DeleteLogMessagesAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.netsuite.client.gui.action.ClientAction<C>
      - - de.esprit.netsuite.client.gui.action.AgentAction<ClientContext,DBDeleteAgent>
        - - de.esprit.netsuite.client.admin.action.DeleteLogMessagesAction

- All Implemented Interfaces:
    ApplicationObject<ClientContext>, CancellableTask, ErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public class DeleteLogMessagesAction
      extends AgentAction<ClientContext,DBDeleteAgent>

  This action sends a roundtrip agent which is received in the response and a message
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteLogMessagesAction(ClientContext clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DBDeleteAgent` | `createInputAgent()` Creates the input agent to be sent to the server for execution.

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.AgentAction

      `actionFired, agentFailed, agentSucceeded, cancel, handleBlockingTimeout, setBlockingTimeout, wasCancelled`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.ClientAction

      `actionFailed, checkEnableCondition, getClientContext, getSessionId, isConnectionSensitive, isLoggedIn, isOffline, isOnline, setConnectionSensitive`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionPerformed, actionPrepare, actionSucceeded, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeleteLogMessagesAction

          public DeleteLogMessagesAction(ClientContext clientCtx)

  - ### Method Detail

    - #### createInputAgent

          protected DBDeleteAgent createInputAgent()

      Description copied from class: `AgentAction`
      Creates the input agent to be sent to the server for execution. This agent may be sync or async. An async agent will cause the action to disable until the result agent is received in a message, or the agent is cancelled.
      Specified by:
        `createInputAgent` in class `AgentAction<ClientContext,DBDeleteAgent>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.